##*************************************************************************##
##  CUBE        http://www.scalasca.org/                                   ##
##*************************************************************************##
##  Copyright (c) 1998-2023                                                ##
##  Forschungszentrum Juelich GmbH, Juelich Supercomputing Centre          ##
##                                                                         ##
##  This software may be modified and distributed under the terms of       ##
##  a BSD-style license.  See the COPYING file in the package base         ##
##  directory for details.                                                 ##
##*************************************************************************##


CONFIG += qt thread rtti exceptions warn_on  release plugin


android {
CONFIG	+= android mobility

ANDROID_PACKAGE_SOURCE_DIR=$$PWD/android
ANDROID_API_VERSION=24
ANDROID_MIN_SDK_VERSION=24
ANDROID_TARGET_SDK_VERSION=28

CUBE_SRC = $(CUBE_LOCATION_V)/../vpath/_install/
ANDROID_CUBE_SRC=$(CUBE_LOCATION_V)/vendor/windows/cube/android-build

DEFINES+= __MINGW32__ ANDROID

QT += qml  core-private

lessThan(QT_MAJOR_VERSION, 6) {
QT += androidextras  ##Qt5 only
}


MOBILITY =

armeabi-v7a:LIBS += -L$${ANDROID_CUBE_SRC}/libs/armeabi-v7a -lcube_armeabi-v7a -L../GUI-qt-core -lcube4gui_armeabi-v7a -Wl,-E -Wl,--export-dynamic
arm64-v8a:LIBS += -L$${ANDROID_CUBE_SRC}/libs/arm64-v8a -lcube_arm64-v8a  -L../GUI-qt-core -lcube4gui_arm64-v8a -Wl,-E -Wl,--export-dynamic
x86:LIBS += -L$${ANDROID_CUBE_SRC}/libs/x86 -lcube_x86  -L../GUI-qt-core -lcube4gui_x86 -Wl,-E -Wl,--export-dynamic
x86_64:LIBS += -L$${ANDROID_CUBE_SRC}/libs/x86_64 -lcube_x86_64  -L../GUI-qt-core -lcube4gui_x86_64 -Wl,-E -Wl,--export-dynamic



PLUGIN_TYPE = cubeplugin
DESTDIR = $${ANDROID_PACKAGE_SOURCE_DIR}/../GUI-qt/plugins/advisor

TARGET = $$qt5LibraryTarget(advisor, "plugins/$$PLUGIN_TYPE/")

}



TEMPLATE = lib

CUBE +=
win32:CUBE_SRC = C:/Scalasca-Soft/Install/Cube2.0/$$(PREFIX)/install
GUI_SRC = ../../../src/GUI-qt
GUI_CONFIG = ../../../vpath/src
DEPENDPATH += \
        $${GUI_SRC} \
        $${GUI_SRC}/display \
        $${GUI_SRC}/display/plugins \
        $${GUI_SRC}/display/utils

INCLUDEPATH +=  \
        ../include \
        $${CUBE_SRC}/include/cubelib \
        $${GUI_CONFIG}  \
        $${GUI_SRC} \
        $${GUI_SRC}/display   \
        $${GUI_SRC}/display/plugins \
        $${GUI_SRC}/display/utils   \
        $${GUI_SRC}/plugins/Advisor  \
        $${GUI_SRC}/plugins/Advisor/analyse/jsc-hybrid-audit/tests \
        $${GUI_SRC}/plugins/Advisor/analyse/jsc-hybrid-audit\
        $${GUI_SRC}/plugins/Advisor/analyse\
        $${GUI_SRC}/plugins/Advisor/tests

win32:LIBS += -L$${CUBE_SRC}/lib -lcube  -L../GUI-qt-core/release -lcube4gui

win32:DEFINES+= CUBE_PREFIX=\\\"unknown\\\"
win32:DEFINES+= LIBDIR=\\\".\\\"


QMAKE_CXXFLAGS+=-fexceptions

QT += widgets network printsupport concurrent

# Input{
HEADERS += \
        $${GUI_SRC}/plugins/Advisor/Bar.h \
        $${GUI_SRC}/plugins/Advisor/CubeAdvice.h \
        $${GUI_SRC}/plugins/Advisor/CubeAdvisorPlugin.h \
        $${GUI_SRC}/plugins/Advisor/CubeAdvisorProgress.h \
        $${GUI_SRC}/plugins/Advisor/CubeAdvisorTableWidgetItem.h \
        $${GUI_SRC}/plugins/Advisor/CubeHelpButton.h\
        $${GUI_SRC}/plugins/Advisor/CubeRatingWidget.h\
        $${GUI_SRC}/plugins/Advisor/CubeTestWidget.h\
        $${GUI_SRC}/plugins/Advisor/analyse/PerformanceAnalysis.h\
        $${GUI_SRC}/plugins/Advisor/analyse/jsc-hybrid-audit/JSCHybridAuditAnalysis.h \
        $${GUI_SRC}/plugins/Advisor/analyse/jsc-hybrid-audit/tests/JSCHybridAmdahlTest.h \
        $${GUI_SRC}/plugins/Advisor/analyse/jsc-hybrid-audit/tests/JSCHybridCommunicationEfficiencyTest.h \
        $${GUI_SRC}/plugins/Advisor/analyse/jsc-hybrid-audit/tests/JSCHybridComputationTimeTest.h \
        $${GUI_SRC}/plugins/Advisor/analyse/jsc-hybrid-audit/tests/JSCHybridIPCTest.h \
        $${GUI_SRC}/plugins/Advisor/analyse/jsc-hybrid-audit/tests/JSCHybridImbalanceTest.h \
        $${GUI_SRC}/plugins/Advisor/analyse/jsc-hybrid-audit/tests/JSCHybridNoWaitINSTest.h \
        $${GUI_SRC}/plugins/Advisor/analyse/jsc-hybrid-audit/tests/JSCHybridOMPImbalanceTest.h \
        $${GUI_SRC}/plugins/Advisor/analyse/jsc-hybrid-audit/tests/JSCHybridOMPSerialisationTest.h \
        $${GUI_SRC}/plugins/Advisor/analyse/jsc-hybrid-audit/tests/JSCHybridOMPTransferTest.h \
        $${GUI_SRC}/plugins/Advisor/analyse/jsc-hybrid-audit/tests/JSCHybridSerialisationTest.h \
        $${GUI_SRC}/plugins/Advisor/analyse/jsc-hybrid-audit/tests/JSCHybridStalledResourcesTest.h \
        $${GUI_SRC}/plugins/Advisor/analyse/jsc-hybrid-audit/tests/JSCHybridTransferTest.h \
        $${GUI_SRC}/plugins/Advisor/tests/PerformanceTest.h\
        $${GUI_SRC}/plugins/Advisor/tests/PerformanceTest_incl.h





SOURCES += \
        $${GUI_SRC}/plugins/Advisor/Bar.cpp \
        $${GUI_SRC}/plugins/Advisor/CubeAdvisorPlugin.cpp \
        $${GUI_SRC}/plugins/Advisor/CubeAdvisorProgress.cpp \
        $${GUI_SRC}/plugins/Advisor/CubeAdvisorTableWidgetItem.cpp \
        $${GUI_SRC}/plugins/Advisor/CubeHelpButton.cpp \
        $${GUI_SRC}/plugins/Advisor/CubeRatingWidget.cpp \
        $${GUI_SRC}/plugins/Advisor/CubeTestWidget.cpp \
        $${GUI_SRC}/plugins/Advisor/analyse/PerformanceAnalysis.cpp\
        $${GUI_SRC}/plugins/Advisor/analyse/jsc-hybrid-audit/JSCHybridAuditAnalysis.cpp \
        $${GUI_SRC}/plugins/Advisor/analyse/jsc-hybrid-audit/tests/JSCHybridAmdahlTest.cpp \
        $${GUI_SRC}/plugins/Advisor/analyse/jsc-hybrid-audit/tests/JSCHybridCommunicationEfficiencyTest.cpp \
        $${GUI_SRC}/plugins/Advisor/analyse/jsc-hybrid-audit/tests/JSCHybridComputationTimeTest.cpp \
        $${GUI_SRC}/plugins/Advisor/analyse/jsc-hybrid-audit/tests/JSCHybridIPCTest.cpp \
        $${GUI_SRC}/plugins/Advisor/analyse/jsc-hybrid-audit/tests/JSCHybridImbalanceTest.cpp \
        $${GUI_SRC}/plugins/Advisor/analyse/jsc-hybrid-audit/tests/JSCHybridNoWaitINSTest.cpp \
        $${GUI_SRC}/plugins/Advisor/analyse/jsc-hybrid-audit/tests/JSCHybridOMPImbalanceTest.cpp \
        $${GUI_SRC}/plugins/Advisor/analyse/jsc-hybrid-audit/tests/JSCHybridOMPSerialisationTest.cpp \
        $${GUI_SRC}/plugins/Advisor/analyse/jsc-hybrid-audit/tests/JSCHybridOMPTransferTest.cpp \
        $${GUI_SRC}/plugins/Advisor/analyse/jsc-hybrid-audit/tests/JSCHybridSerialisationTest.cpp \
        $${GUI_SRC}/plugins/Advisor/analyse/jsc-hybrid-audit/tests/JSCHybridStalledResourcesTest.cpp \
        $${GUI_SRC}/plugins/Advisor/analyse/jsc-hybrid-audit/tests/JSCHybridTransferTest.cpp \
        $${GUI_SRC}/plugins/Advisor/tests/PerformanceTest.cpp\
        $${GUI_SRC}/plugins/Advisor/tests/PerformanceTest_incl.cpp


# Hack for IBM AIX
aix-g++ {
  QMAKE_CXXFLAGS_RELEASE += -O0
}
aix-g++-64 {
  QMAKE_CXXFLAGS_RELEASE += -O0
}
