##*************************************************************************##
##  CUBE        http://www.scalasca.org/                                   ##
##*************************************************************************##
##  Copyright (c) 1998-2023                                                ##
##  Forschungszentrum Juelich GmbH, Juelich Supercomputing Centre          ##
##                                                                         ##
##  This software may be modified and distributed under the terms of       ##
##  a BSD-style license.  See the COPYING file in the package base         ##
##  directory for details.                                                 ##
##*************************************************************************##


android {
CONFIG	+= android mobility

ANDROID_PACKAGE_SOURCE_DIR=$$PWD/android
ANDROID_API_VERSION=24
ANDROID_MIN_SDK_VERSION=24
ANDROID_TARGET_SDK_VERSION=28

CUBE_SRC = $(CUBE_LOCATION_V)/../vpath/_install/
ANDROID_CUBE_SRC=$(CUBE_LOCATION_V)/vendor/windows/cube/android-build

DEFINES+= __MINGW32__ ANDROID

QT += qml core-private

lessThan(QT_MAJOR_VERSION, 6) {
QT += androidextras  ##Qt5 only
}


MOBILITY =

armeabi-v7a:LIBS += -L$${ANDROID_CUBE_SRC}/libs/armeabi-v7a -lcube_armeabi-v7a -L../GUI-qt-core -lcube4gui_armeabi-v7a -Wl,-E -Wl,--export-dynamic
arm64-v8a:LIBS += -L$${ANDROID_CUBE_SRC}/libs/arm64-v8a -lcube_arm64-v8a  -L../GUI-qt-core -lcube4gui_arm64-v8a -Wl,-E -Wl,--export-dynamic
x86:LIBS += -L$${ANDROID_CUBE_SRC}/libs/x86 -lcube_x86  -L../GUI-qt-core -lcube4gui_x86 -Wl,-E -Wl,--export-dynamic
x86_64:LIBS += -L$${ANDROID_CUBE_SRC}/libs/x86_64 -lcube_x86_64  -L../GUI-qt-core -lcube4gui_x86_64 -Wl,-E -Wl,--export-dynamic


PLUGIN_TYPE = cubeplugin
DESTDIR = $${ANDROID_PACKAGE_SOURCE_DIR}/../GUI-qt/plugins/tau2cube

TARGET = $$qt5LibraryTarget(tau2cube, "plugins/$$PLUGIN_TYPE/")

}



CONFIG += qt thread rtti exceptions warn_on  release  plugin
TEMPLATE = lib
CUBE +=
win32:CUBE_SRC = C:/Scalasca-Soft/Install/Cube2.0/$$(PREFIX)/install
GUI_SRC = ../../../src/GUI-qt
GUI_CONFIG = ../../../vpath/src
DEPENDPATH += \
        $${GUI_SRC} \
        $${GUI_SRC}/display \
        $${GUI_SRC}/display/plugins \
        $${GUI_SRC}/display/utils

INCLUDEPATH +=  \
        ../include \
        $${GUI_SRC} \
        $${GUI_SRC}/display   \
        $${GUI_SRC}/display/plugins   \
        $${GUI_SRC}/display/utils   \
        $${CUBE_SRC}/include/cubelib

win32:LIBS += -L$${CUBE_SRC}/lib -lcube  -L../GUI-qt-core/release -lcube4gui

win32:DEFINES+= CUBE_PREFIX=\\\"unknown\\\"
win32:DEFINES+= LIBDIR=\\\".\\\"


QMAKE_CXXFLAGS+=-fexceptions
win32:QMAKE_LDFLAGS="-Wl,--enable-auto-import"

QT += core gui widgets network printsupport concurrent

# Input{
HEADERS += \
        $${GUI_SRC}/plugins/Tau2Cube/Tau2Cube.h


SOURCES += \
        $${GUI_SRC}/plugins/Tau2Cube/Tau2Cube.cpp



# Hack for IBM AIX
aix-g++ {
  QMAKE_CXXFLAGS_RELEASE += -O0
}
aix-g++-64 {
  QMAKE_CXXFLAGS_RELEASE += -O0
}
