##*************************************************************************##
##  CUBE        http://www.scalasca.org/                                   ##
##*************************************************************************##
##  Copyright (c) 1998-2023                                                ##
##  Forschungszentrum Juelich GmbH, Juelich Supercomputing Centre          ##
##                                                                         ##
##  Copyright (c) 2009-2015                                                ##
##  German Research School for Simulation Sciences GmbH,                   ##
##  Laboratory for Parallel Programming                                    ##
##                                                                         ##
##  This software may be modified and distributed under the terms of       ##
##  a BSD-style license.  See the COPYING file in the package base         ##
##  directory for details.                                                 ##
##*************************************************************************##


android {
ANDROID_PACKAGE_SOURCE_DIR = $$PWD/android
ANDROID_API_VERSION=31
ANDROID_MIN_SDK_VERSION=31

CUBE_SRC = $(CUBE_LOCATION_V)/../vpath/_install/
ANDROID_CUBE_SRC=$(CUBE_LOCATION_V)/vendor/windows/cube/android-build

GUICORE_LIB=$$PWD/../GUI-qt-core/android-build/libs/

ANDROID_EXTRA_PLUGINS += $$shadowed($$PWD)/plugins

CONFIG	+= mobility  android
CONFIG -= app_bundle
DEFINES+= __MINGW32__ ANDROID

QT += qml core-private
lessThan(QT_MAJOR_VERSION, 6) {
QT += androidextras  ##Qt5 only
}



DISTFILES += \
        android/AndroidManifest.xml \
        android/build.gradle \
        android/res/values/libs.xml


MOBILITY =
OTHER_FILES += \
        android/AndroidManifest.xml \
        android/res/drawable-hdpi/icon.png \
        android/res/drawable-ldpi/icon.png \
        android/res/drawable-mdpi/icon.png \
        android/res/values/libs.xml \
        android/res/values/strings.xml \
        android/src/eu/licentia/necessitas/industrius/QtActivity.java \
        android/src/eu/licentia/necessitas/industrius/QtApplication.java \
        android/src/eu/licentia/necessitas/industrius/QtLayout.java \
        android/src/eu/licentia/necessitas/industrius/QtSurface.java \
        android/src/eu/licentia/necessitas/ministro/IMinistro.aidl \
        android/src/eu/licentia/necessitas/ministro/IMinistroCallback.aidl \
        android/src/eu/licentia/necessitas/mobile/QtAndroidContacts.java \
        android/src/eu/licentia/necessitas/mobile/QtCamera.java \
        android/src/eu/licentia/necessitas/mobile/QtFeedback.java \
        android/src/eu/licentia/necessitas/mobile/QtLocation.java \
        android/src/eu/licentia/necessitas/mobile/QtMediaPlayer.java \
        android/src/eu/licentia/necessitas/mobile/QtSensors.java \
        android/src/eu/licentia/necessitas/mobile/QtSystemInfo.java


armeabi-v7a:LIBS += -L$${ANDROID_CUBE_SRC}/libs/armeabi-v7a -lcube_armeabi-v7a -L$${GUICORE_LIB}/armeabi-v7a -lcube4gui_armeabi-v7a
arm64-v8a:LIBS += -L$${ANDROID_CUBE_SRC}/libs/arm64-v8a -lcube_arm64-v8a -L$${GUICORE_LIB}/arm64-v8a -lcube4gui_arm64-v8a
x86:LIBS += -L$${ANDROID_CUBE_SRC}/libs/x86 -lcube_x86 -L$${GUICORE_LIB}/x86 -lcube4gui_x86
x86_64:LIBS += -L$${ANDROID_CUBE_SRC}/libs/x86_64 -lcube_x86_64 -L$${GUICORE_LIB}/x86_64 -lcube4gui_x86_64
}

CONFIG	+= console qt widgets thread rtti exceptions warn_on release
TEMPLATE = app
CUBE +=
win32:CUBE_SRC = C:/Scalasca-Soft/Install/Cube2.0/$$(PREFIX)/install
GUI_SRC = ../../../src/GUI-qt
GUI_CONFIG = ../../../vpath/src
DEPENDPATH += $${GUI_SRC} $${GUI_SRC}/display
INCLUDEPATH +=  \
        ../include \
        $${GUI_SRC} \
        $${GUI_SRC}/display   \
        $${GUI_SRC}/display/plugins   \
        $${GUI_SRC}/display/utils   \
        $${CUBE_SRC}/include/cubelib

win32:LIBS += -L$${CUBE_SRC}/lib -lcube  -L../GUI-qt-core/release -lcube4gui
RESOURCES =

DEFINES+= CUBE_PREFIX=\\\"unknown\\\"
DEFINES+= LIBDIR=\\\".\\\"


QMAKE_CXXFLAGS+=-fexceptions

QT += core gui widgets network widgets printsupport concurrent

# Input{
HEADERS +=



SOURCES += \
        $${GUI_SRC}/display/main.cpp



# Hack for IBM AIX
aix-g++ {
  QMAKE_CXXFLAGS_RELEASE += -O0
}
aix-g++-64 {
  QMAKE_CXXFLAGS_RELEASE += -O0
}
